
#############-------------\-------------#############
#My Default Boiler Plate
import sys
import clr

# Add Assemblies for AutoCAD and Civil3D
clr.AddReference('AcMgd')
clr.AddReference('AcCoreMgd')
clr.AddReference('AcDbMgd')
clr.AddReference('AecBaseMgd')
clr.AddReference('AecPropDataMgd')
clr.AddReference('AeccDbMgd')

# Import references from AutoCAD
from Autodesk.AutoCAD.Runtime import *
from Autodesk.AutoCAD.ApplicationServices import *
from Autodesk.AutoCAD.EditorInput import *
from Autodesk.AutoCAD.DatabaseServices import *
from Autodesk.AutoCAD.Geometry import *

# Import references from Civil3D
from Autodesk.Civil.ApplicationServices import *
from Autodesk.Civil.DatabaseServices import *

pyt_path = r'C:\Program Files (x86)\IronPython 2.7\Lib'
sys.path.append(pyt_path)

import math

#############-------------\-------------#############
#UI additional references
clr.AddReference("System.Windows.Forms")
clr.AddReference("System.Drawing")

import webbrowser   #needed to open a url
import System.IO    #needed to be able to open a pdf

#from System.Windows.Forms import *
from System.Windows.Forms import Application, Form, FormWindowState, Screen, Label, PictureBox, PictureBoxSizeMode, AnchorStyles, BorderStyle, ComboBox, ComboBoxStyle, FormBorderStyle
from System.Windows.Forms import Button, LinkLabel, Panel
from System.Drawing import Icon, Color, Font, Point, Size

import wpf

from System.Windows import Application, Window

#############-------------\-------------#############
#INPUTS HERE:

run = IN[0]
message = IN[1]
listInput =tuple(IN[2])     #Combo box requires tuple not list input
linkaddress = IN[3]
logoFile = IN[4] 
icon = IN[5]
#header = IN[6]

userOutputDefaultStr = "No selection made, Re-run, and select an item from the dropdown menu" #set default output values for the GUI, that assume form has not run. 



# create a instance of the form class called DropDownform.
#In Winforms, any window or a dialog is a Form. 

class MyWindow(Window):
    def __init__(self):
        wpf.LoadComponent(self, 'C:/Users/areilly/source/repos/PythonGUItest/PythonGUItest.xaml')
        self.btnCancel.Content = "Cancel"    
        self.btnCancel.Click += self.CnlButtonPressed
        self.btnOkay.Content = "Renumber"    
        self.btnOkay.Click += self.okButtonPressed

#############-------------\-------------#############
    def okButtonPressed(self, sender, args):
        self.Close()    #trigger to close the GUI when button is pressed
        self.runNextOutput = True #if the ok button is pressed set runNextOutput as True

    def CnlButtonPressed(self, sender, args):
        self.Close()
        self.runNextOutput = False #if the ok button is pressed set runNextOutput as False
   


if __name__ == '__main__':
    Application().Run(MyWindow())

ddForm = MyWindow()

if run:     #if input is true run the application.
    #Application.Run(MyWindow())
    Application().Run(ddForm)
    
    if ddForm.userOutput == userOutputDefaultStr:       #if the user does not select a item So the userOutput value is still the default text
        results = ddForm.userOutput, False      #output the default string and runNextOutput
    else:
        results = ddForm.userOutput, ddForm.runNextOutput       #else if someone has selected a item output it and the runNextOutput

    OUT = results